### A free/open-source library for quantitative finance

Public Member Functions | Static Public Member Functions
BaroneAdesiWhaleyApproximationEngine Class Reference
Vanilla option engines

Barone-Adesi and Whaley pricing engine for American options (1987) More...

`#include <ql/pricingengines/vanilla/baroneadesiwhaleyengine.hpp>`

Inherits engine.

List of all members.

## Public Member Functions

| BaroneAdesiWhaleyApproximationEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &)
void | calculate () const

## Static Public Member Functions

static Real | criticalPrice (const boost::shared_ptr< StrikedTypePayoff > &payoff, DiscountFactor riskFreeDiscount, DiscountFactor dividendDiscount, Real variance, Real tolerance=1e-6)

## Detailed Description

Barone-Adesi and Whaley pricing engine for American options (1987)

Tests:
  the correctness of the returned value is tested by reproducing results available in literature.

Examples:
  EquityOption.cpp.